module Dgrid
  module API
    class GPSCoordinates
      
      attr_accessor :lat, :long, :elevation

      def initialize(lat,long,elevation = 0)
        raise "invalid latitude \"#{lat}\"" unless lat.to_f <= 90.0  && lat.to_f >= -90.0
        raise "invalid longitude \"#{long}\"" unless long.to_f <= 180.0  && long.to_f >= -180.0
        @lat,@long,@elevation = lat.to_f,long.to_f,elevation.to_f
      end
    end
  end
end
