module Dgrid
  module API
    class Lens < NamedEntity
      include ArgumentValidation
      
      option :name, String, :required     # unique for this workspace 
      option :id, String
      def initialize(options)
      	super(options)
      end

      def self.db_fields
        %w(id name)
      end

      def to_hash
        { :name => name }
      end


      argument :item, Item
      def add_item(item)
        add_entity(item)
      end

      def item_ids
        workspace = workspaces.values.first # FIXME: assumes one workspace per item
        workspace.item_ids_in_lens(self)
      end 

      def self.pluralized
        'lenses'
      end


    end
  end
end
