module Dgrid
  module API
    class NamedEntity < Entity
      
      attr_accessor :name

      option :name, String, :required
      def initialize(options)
      	parent_opts, my_opts = split_hash(options,[:id, :description])
        super(parent_opts)
        set_members_from_hash(my_opts)
      end

      def to_hash
        { :name => name, :description => description }
      end

    end
  end
end
