module Dgrid
  module API
    class Organization < NamedEntity
      include ArgumentValidation
      
      option :name, String, :required     # unique for this workspace 
      option :description, String         # typically an address
      def initialize(options)
      	super(options)
      end

      def self.db_fields
        %w(id name description)
      end

      argument :person, Person
      def add_person(person)
        add_entity(person)
      end

      def self.pluralized
        'organizations'
      end


    end
  end
end
